# Class TCefMediaSinkRef

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFMediaSink

## Declaration

`type TCefMediaSinkRef = class(TCefBaseRefCountedRef, ICefMediaSink)`

## Description

This item has no description.

## Hierarchy

- TInterfacedObject
- TCefBaseRefCountedRef
- TCefMediaSinkRef

## Overview

### Methods

| `function GetId: ustring;`
| `function GetName: ustring;`
| `function GetIconType: TCefMediaSinkIconType;`
| `procedure GetDeviceInfo(const callback: ICefMediaSinkDeviceInfoCallback);`
| `function IsCastSink: boolean;`
| `function IsDialSink: boolean;`
| `function IsCompatibleWith(const source: ICefMediaSource): boolean;`
| `class function UnWrap(data: Pointer): ICefMediaSink;`

## Description

### Methods

| `function GetId: ustring;`
This item has no description. Showing description inherited from ICefMediaSink.GetId. Returns the ID for this sink.

| `function GetName: ustring;`
This item has no description. Showing description inherited from ICefMediaSink.GetName. Returns the name of this sink.

| `function GetIconType: TCefMediaSinkIconType;`
This item has no description. Showing description inherited from ICefMediaSink.GetIconType. Returns the icon type for this sink.

| `procedure GetDeviceInfo(const callback: ICefMediaSinkDeviceInfoCallback);`
This item has no description. Showing description inherited from ICefMediaSink.GetDeviceInfo. Asynchronously retrieves device info.

| `function IsCastSink: boolean;`
This item has no description. Showing description inherited from ICefMediaSink.IsCastSink. Returns true (1) if this sink accepts content via Cast.

| `function IsDialSink: boolean;`
This item has no description. Showing description inherited from ICefMediaSink.IsDialSink. Returns true (1) if this sink accepts content via DIAL.

| `function IsCompatibleWith(const source: ICefMediaSource): boolean;`
This item has no description. Showing description inherited from ICefMediaSink.IsCompatibleWith. Returns true (1) if this sink is compatible with |source|.

| `class function UnWrap(data: Pointer): ICefMediaSink;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.